commit:     7b210f58599869dbedcb0377bbbe500246a9575c
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Apr  9 14:58:48 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Apr  9 14:58:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b210f58

media-libs/libwebp: Bump to version 1.0.0_rc2

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 media-libs/libwebp/Manifest                 |  1 +
 media-libs/libwebp/libwebp-1.0.0_rc2.ebuild | 73 +++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/media-libs/libwebp/Manifest b/media-libs/libwebp/Manifest
index b5847196ae7..c979ef5092c 100644
--- a/media-libs/libwebp/Manifest
+++ b/media-libs/libwebp/Manifest
@@ -1,3 +1,4 @@
 DIST libwebp-0.5.2.tar.gz 1221153 BLAKE2B 
bf8f20c9dd45f70e68dda4eb1104b511be07b4e7bf13850e376c6fff32cf18048f46c718c900fedd6150b010b4a33d96dbcb602e1b0cd693c13dcec7954a2234
 SHA512 
f0d798e0ef8b58bc159c53214a62b29dff4309ced9efd7c5f0e6f837877906db8318c4c3453f92725ef6f2b069b931ce3e7961ca26db723a31eedc7b52988de2
 DIST libwebp-0.6.0.tar.gz 1302881 BLAKE2B 
6796179d52f4c02db2a9d32716c25001cdf4a84aefec7b799758a37ccdded817946c006719b0989181cc4a4daa23c58e8ffef2868ee238e652987efd109e98a8
 SHA512 
be8eb9a3ddd3dec57f9f573d076ef97b17ea18de7e58e08e3fcb26456262394e9bb663c883d34f1aee0a91f23568e61c5ec4a7d0429cc385c009bf088ce6a1a4
 DIST libwebp-0.6.1.tar.gz 3990217 BLAKE2B 
680dcc56bd10797e93d09dc64ed04fd2ffb0b8131aa0c0f1497054c50f5cff73b7ee2aa96df4f7ca760640b636f6f5265ae26e7874a77a86d39d2c74197c93b7
 SHA512 
fece551d8fabdd8d7ba6807baa54a69a345f8690be4415dd0c0dea54002d78fe893a5d5aacfc13800300edd462b969d596709ac3213f6bc90f8e3698b2490d5f
+DIST libwebp-1.0.0-rc2.tar.gz 4023563 BLAKE2B 
003a5241f2a03a9be80379e36f04c1dc4f667721e27d58a92fca6a967ce9ad9c1e176f4e00510314eebfe38a5966c11c626d2f1b12bdb84854ffe173b0de71a9
 SHA512 
bb5749e4ae79595e195a00e28a3db75c7330ff2eb910a330cf4814b596061da073b5da179a1ca9c02a1c8892f165d2e18689a7677992cdbd0af82532cc83a4ad

diff --git a/media-libs/libwebp/libwebp-1.0.0_rc2.ebuild 
b/media-libs/libwebp/libwebp-1.0.0_rc2.ebuild
new file mode 100644
index 00000000000..6ef54b5061d
--- /dev/null
+++ b/media-libs/libwebp/libwebp-1.0.0_rc2.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit autotools libtool multilib-minimal
+
+MY_P="${P/_/-}"
+
+DESCRIPTION="A lossy image compression format"
+HOMEPAGE="https://developers.google.com/speed/webp/download";
+SRC_URI="http://downloads.webmproject.org/releases/webp/${MY_P}.tar.gz";
+
+LICENSE="BSD"
+SLOT="0/7" # subslot = libwebp soname version
+[[ "${PV}" = *_rc* ]] || \
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~x64-macos ~m68k-mint"
+IUSE="cpu_flags_x86_avx2 cpu_flags_x86_sse2 cpu_flags_x86_sse4_1 gif +jpeg 
neon opengl +png static-libs swap-16bit-csp tiff"
+
+# TODO: dev-lang/swig bindings in swig/ subdirectory
+RDEPEND="gif? ( media-libs/giflib:= )
+       jpeg? ( virtual/jpeg:0= )
+       opengl? (
+               media-libs/freeglut
+               virtual/opengl
+               )
+       png? ( media-libs/libpng:0= )
+       tiff? ( media-libs/tiff:0= )"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+ECONF_SOURCE="${S}"
+
+src_prepare() {
+       default
+
+       # Fix libtool relinking, bug 499270.
+       #elibtoolize
+       eautoreconf
+}
+
+multilib_src_configure() {
+       local args=(
+               --enable-libwebpmux
+               --enable-libwebpdemux
+               --enable-libwebpdecoder
+               $(use_enable static-libs static)
+               $(use_enable swap-16bit-csp)
+               $(use_enable jpeg)
+               $(use_enable png)
+               $(use_enable opengl gl)
+               $(use_enable tiff)
+
+               $(use_enable cpu_flags_x86_avx2 avx2)
+               $(use_enable cpu_flags_x86_sse2 sse2)
+               $(use_enable cpu_flags_x86_sse4_1 sse4.1)
+               $(use_enable neon)
+
+               # Only used for gif2webp binary wrt #486646
+               $(multilib_native_use_enable gif)
+       )
+
+       econf "${args[@]}"
+}
+
+multilib_src_install() {
+       emake DESTDIR="${D}" install
+}
+
+multilib_src_install_all() {
+       find "${ED}" -name "*.la" -delete || die
+       dodoc AUTHORS ChangeLog doc/*.txt NEWS README{,.mux}
+}

Reply via email to